Status: Closed

Priority: High

Assignee: Nyall Dawson

Category: Data Provider/MSSQL

Affected QGIS version:2.18.9 Regression?: No

Operating System: Windows 10 Easy fix?: No

Pull Request or Patch supplied:No Resolution:

Crashes QGIS or corrupts data:Yes Copied to github as #: 24704

Description

Hi,

We have found a dangerous bug in QGIS in the Browser Panel - under a SQL Server Connection. Dragging a file and dropping it into SQL

Server connection browser window drops the database table overrides the data without warning.

If you start to drag a file from the Browser Panel to the Map window and change your mind and let go before you even hover over the map

window- it throws up a message saying "Successfully imported". However, it deletes the attributes from the table. We tested this process

on a PostGIS connection and it gave a warning prompt, which is probably what the SQL Server connection should do. At the very least a

yes to override table or cancel message would be good.

The attached screenshots show a few examples of how the bug occurs.

Thanks Matt.

Related issues:

Duplicated by QGIS Application - Bug report # 17719: Dragging and dropping MS... Closed 2017-12-18

Associated revisions

Revision 745495fe - 2018-10-08 11:16 AM - Nyall Dawson

[mssql] Prevent overwriting existing tables via drag and drop in browser

Fixes #16805

Revision 302b4494 - 2018-10-08 11:16 AM - Nyall Dawson

[mssql] Add browser actions for deleting and truncating tables

Because we can no longer overwrite tables directly using drag

and drop (refs #16805), add some explicit actions which allow

dropping existing tables (after user confirmation, of course!)

History

#1 - 2017-07-07 01:30 PM - Giovanni Manghi

- Subject changed from Corruping SQL Server Table when Drag and Drop to Corrupting SQL Server tables when using drag and drop in QGIS browser

- Assignee deleted (Nathan Woodrow)

- Priority changed from Normal to High
#2 - 2017-07-11 05:30 AM - Nathan Woodrow

- Assignee set to Nathan Woodrow

#3 - 2017-07-11 05:32 AM - Nathan Woodrow

Thanks.  I can take a look next week.

#4 - 2017-12-19 04:03 AM - Nathan Woodrow

- Duplicated by Bug report #17719: Dragging and dropping MS SQL table in browser window causes overwriting of existing table added

#5 - 2018-10-08 08:15 AM - Nathan Woodrow

- Assignee changed from Nathan Woodrow to Nyall Dawson

#6 - 2018-10-08 08:40 AM - Nyall Dawson

- Status changed from Open to In Progress

#7 - 2018-10-08 11:15 AM - Nyall Dawson

- % Done changed from 0 to 100

- Status changed from In Progress to Closed

Applied in changeset commit:qgis|745495fe733ae8694adf3e428156594085dd75c0.
